Bug 1002831 - Mic Boost and Internal Mic Boost are both in Playback and Capture in alsamixer
Mic Boost and Internal Mic Boost are both in Playback and Capture in alsamixer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-mixer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 01:46 EDT by Jan Pazdziora
Modified: 2015-02-18 06:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-08-30 01:46:34 EDT
Description of problem:

When alsamixer is run on my T410 with HDA-Intel - HDA Intel, the Mic Boost and Internal Mic Boost sliders are under Playback, as well as the Capture. I believe microphone settings should be under the Capture only.

Incidently, xfce4-mixer shows the sliders only under Playback and not under Capture.

Version-Release number of selected component (if applicable):

# rpm -qf /bin/alsamixer
alsa-utils-1.0.27.2-2.fc19.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Run alsamixer and try to set the Mic Boost.

Actual results:

The setting is under Playback (and in alsamixer under Capture as well).

Expected results:

The setting is under Capture.

Additional info:
Comment 1 Jaroslav Kysela 2013-08-30 03:24:06 EDT
The Mic boost applies to both the playback (the analog loopback) and to the capture. It's not an error.
Comment 2 Jan Pazdziora 2013-08-30 06:04:04 EDT
(In reply to Jaroslav Kysela from comment #1)
> The Mic boost applies to both the playback (the analog loopback) and to the
> capture. It's not an error.

Alright. There's however still the case of xfce4-mixer showing it *only* under Playback. Could you please help me phrase the technical details of a bug report against xfce4-mixer (or reopen this bug and change component)?
Comment 3 Jaroslav Kysela 2013-08-30 13:59:22 EDT
For the xfce4-mixer maintainer/developer: Our rule is to expose the shared mixer controls in both directions (playback and capture) in our mixer apps (ALSA).
Comment 4 Kevin Fenzi 2013-08-30 18:07:26 EDT
Jan: would you be willing to file this upstream at bugzilla.xfce.org? Or would you like me to do so?
Comment 5 Jan Pazdziora 2013-09-01 04:50:00 EDT
(In reply to Kevin Fenzi from comment #4)
> Jan: would you be willing to file this upstream at bugzilla.xfce.org? Or
> would you like me to do so?

I'd prefer you did the upstream filing -- you probably already have account there. Thank you.
Comment 6 Raymond 2013-09-01 11:33:17 EDT
> The Mic boost applies to both the playback (the analog loopback) and to the capture. It's not an error

https://bugzilla.redhat.com/attachment.cgi?id=743182


for cx20585 headphone , line out and dock line out are driectly connected to audio output and there is no loopback path from Mic jacks to output jacks

so this is a bug of the driver
Comment 7 Fedora End Of Life 2015-01-09 17:16:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jan Pazdziora 2015-01-12 04:49:01 EST
I no longer have access to T410. If this is still a problem on that (and similar) hardware, could someone else chime in about the current state of affairs? Kevin, have we got the XFCE bugzilla that we could link from here?
Comment 9 Kevin Fenzi 2015-01-12 10:18:09 EST
I don't have a T410 here either.

I cant seem to find the upstream bug... perhaps I failed to file it. ;(
Comment 10 Fedora End Of Life 2015-02-18 06:25:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.